<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="ssmdemo:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="3ab74be5-8c9d-4d75-afe9-e04b0ebbfdb5" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Interface" />
        <option value="Jsp File" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:\idea 2020.2.4\IntelliJ IDEA 2020.2.4\plugins\maven\lib\maven3" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="ProjectId" id="1qNdZYR6cQrUC2ZFgmvHTpAoTXV" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/src/com/bjsxt/mapper" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15625" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.externalResources" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\demo\ssm\ssmdemo\web\WEB-INF\jsp" />
      <recent name="D:\demo\ssm\ssmdemo\src" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\demo\ssm\ssmdemo\src\com\bjsxt\mapper" />
      <recent name="D:\demo\ssm\ssmdemo\src\com\bjsxt\pojo" />
      <recent name="D:\demo\ssm\ssmdemo\src" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="ArquillianJUnit" factoryName="" nameIsGenerated="true">
      <option name="arquillianRunConfiguration">
        <value>
          <option name="containerStateName" value="" />
        </value>
      </option>
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Tomcat 9.0.341" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 9.0.341" ALTERNATIVE_JRE_ENABLED="false" nameIsGenerated="true">
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="ssmdemo:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_ssmdemo" />
      </server-settings>
      <predefined_log_file enabled="true" id="Tomcat" />
      <predefined_log_file enabled="true" id="Tomcat Catalina" />
      <predefined_log_file id="Tomcat Manager" />
      <predefined_log_file id="Tomcat Host Manager" />
      <predefined_log_file id="Tomcat Localhost Access" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="50807" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method v="2">
        <option name="Make" enabled="true" />
        <option name="BuildArtifacts" enabled="true">
          <artifact name="ssmdemo:war exploded" />
        </option>
      </method>
    </configuration>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="3ab74be5-8c9d-4d75-afe9-e04b0ebbfdb5" name="Default Changelist" comment="" />
      <created>1616924061791</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1616924061791</updated>
      <workItem from="1616924063102" duration="12077000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="WindowStateProjectService">
    <state x="223" y="67" width="1089" height="727" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1616924348650">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="223" y="67" width="1089" height="727" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1536.824@0.0.1536.824" timestamp="1616924348650" />
    <state x="511" y="113" key="#com.intellij.ide.util.MemberChooser" timestamp="1616993092970">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="511" y="113" key="#com.intellij.ide.util.MemberChooser/0.0.1536.824@0.0.1536.824" timestamp="1616993092970" />
    <state x="386" y="90" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog" timestamp="1616924314175">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="386" y="90" key="#com.intellij.ide.util.frameworkSupport.AddFrameworkSupportDialog/0.0.1536.824@0.0.1536.824" timestamp="1616924314175" />
    <state x="499" y="159" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1616990886344">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="499" y="159" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1536.824@0.0.1536.824" timestamp="1616990886344" />
    <state x="445" y="153" key="FileChooserDialogImpl" timestamp="1616925436693">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="445" y="153" key="FileChooserDialogImpl/0.0.1536.824@0.0.1536.824" timestamp="1616925436693" />
    <state width="1024" height="482" key="GridCell.Tab.0.bottom" timestamp="1616995032675">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.0.bottom/0.0.1536.824@0.0.1536.824" timestamp="1616995032675" />
    <state width="1024" height="482" key="GridCell.Tab.0.center" timestamp="1616995032674">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.0.center/0.0.1536.824@0.0.1536.824" timestamp="1616995032674" />
    <state width="1024" height="482" key="GridCell.Tab.0.left" timestamp="1616995032674">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.0.left/0.0.1536.824@0.0.1536.824" timestamp="1616995032674" />
    <state width="1024" height="482" key="GridCell.Tab.0.right" timestamp="1616995032675">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.0.right/0.0.1536.824@0.0.1536.824" timestamp="1616995032675" />
    <state width="1024" height="482" key="GridCell.Tab.1.bottom" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.1.bottom/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.1.center" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.1.center/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.1.left" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.1.left/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.1.right" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.1.right/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.2.bottom" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.2.bottom/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.2.center" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.2.center/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.2.left" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.2.left/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state width="1024" height="482" key="GridCell.Tab.2.right" timestamp="1616995032437">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state width="1024" height="482" key="GridCell.Tab.2.right/0.0.1536.824@0.0.1536.824" timestamp="1616995032437" />
    <state x="85" y="87" key="SettingsEditor" timestamp="1616925444769">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="85" y="87" key="SettingsEditor/0.0.1536.824@0.0.1536.824" timestamp="1616925444769" />
    <state x="112" y="183" key="com.intellij.javaee.MapExternalResourceDialog" timestamp="1616925439012">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="112" y="183" key="com.intellij.javaee.MapExternalResourceDialog/0.0.1536.824@0.0.1536.824" timestamp="1616925439012" />
    <state x="431" y="145" width="672" height="678" key="search.everywhere.popup" timestamp="1616927285675">
      <screen x="0" y="0" width="1536" height="824" />
    </state>
    <state x="431" y="145" width="672" height="678" key="search.everywhere.popup/0.0.1536.824@0.0.1536.824" timestamp="1616927285675" />
  </component>
</project>